Name:           localizer
Version:        1.23
Release:        %mkrel 4
Group:          Development/Java
Summary:        Type-safe localization message access for Java

License:        MIT
URL:            https://github.com/kohsuke/localizer
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-parent-%{version}.tar.gz
# License text taken from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.codemodel:codemodel)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)


%description
This package provides Java code generator for type-safe
message resource bundle access.

%package        parent
Summary:        Parent POM file for %{name}

%description    parent
This package contains parent POM file for %{name}.

%package -n     maven-localizer-plugin
Summary:        Maven plugin for %{name}

%description -n maven-localizer-plugin
This package contains Apache Maven plugin for %{name}.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-parent-%{version}

cp %{SOURCE1} LICENSE

# Separate package for parent POM
%mvn_package ":localizer-parent" parent

%build
%mvn_build -s

%install
%mvn_install


%files -f .mfiles-localizer
%doc LICENSE
%files parent -f .mfiles-parent
%doc LICENSE
%files -n maven-localizer-plugin -f .mfiles-maven-localizer-plugin
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Sun May 21 2017 neoclust <neoclust> 1.23-4.mga6
+ Revision: 1103858
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 1.23-1.mga6
+ Revision: 981351
- First rebuild of the java stack
- sync package localizer with fedora (update to 1.23)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 01 2015 pterjan <pterjan> 1.19-1.mga5
+ Revision: 808019
- Sync with Fedora 21 (update to 1.19)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.18-2.mga5
+ Revision: 621343
- imported package localizer


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.18-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Dec 02 2013 Michal Srb <msrb@redhat.com> - 1.18-1
- Update to upstream version 1.18

* Tue Nov 26 2013 Michal Srb <msrb@redhat.com> - 1.17-1
- Update to upstream version 1.17

* Mon Nov 04 2013 Michal Srb <msrb@redhat.com> - 1.16-1
- Update to upstream version 1.16
- Add license text

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Michal Srb <msrb@redhat.com> - 1.15-1
- Initial package

